using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls;

namespace RadControlsWinFormsApp3
{
    public partial class RadForm1 : Telerik.WinControls.UI.RadForm
    {
        public RadForm1()
        {
            InitializeComponent();

            btnSave.ButtonElement.Shortcuts.Add(new RadShortcut(Keys.Control,Keys.S));

        }

        public bool Require()
        {
            if (string.IsNullOrEmpty(txtCusID.Text))
            {
                RadMessageBox.Show("Please enter customer ID", "Error", MessageBoxButtons.OK, RadMessageIcon.Info);
                txtCusID.TextBoxElement.TextBoxItem.HostedControl.Focus();
                return false;
            }
            if (string.IsNullOrEmpty(txtCusName.Text))
            {
                RadMessageBox.Show("Please enter customer name", "Error", MessageBoxButtons.OK, RadMessageIcon.Info);
                txtCusName.TextBoxElement.TextBoxItem.HostedControl.Focus();
                return false;
            }
            return true;
        }

        private void btnSave_Click(object sender, EventArgs e)
        {
            if (!Require())
            {
                //Do something
            }
        }
    }
}
